Configure Social Providers
- URL:https://<portal-url>/socialProviders/configure(POST only)
Description
The Configure Social Providers operation (POST only) allows organization administrators to set up their organization so that members can sign up and sign in to ArcGIS using their credentials from social networks like Facebook and Google. This functionality only applies to ArcGIS Online.
Request Parameters
Parameter | Details |
|---|---|
| [Common Parameters] | For a complete listing, see common parameters. |
| signUpMode | Specify how a user can sign up with their social credentials to ArcGIS. Supported mode: Invitation | Automatic |
| providers | A comma separated list of social providers that are allowed. Supported providers: facebook,google |
| userLicenseType | Default user license type members are assigned, used when signUpMode=Automatic. |
| role | Default role members are assigned, used when signUpMode=Automatic. |
| userCreditAssignment | Specific credit allocation for each joining member, organization needs to have credit budgeting enabled. Used when signUpMode=Automatic. |
| groups | A list of groups members are added automatically upon joining the organization, used when signUpMode=Automatic. Example: ee318ee7826e42b7813dbd2462b64eaa,019de89434b341c68b1d97762a0dcc9e |
| clearEmptyFields | Clears any string fields that are passed in empty. Example: true |
Response Properties
Property | Details |
|---|---|
| success | Indicates if the operation was successful. |
Example Usage
URL for Configure Social Providers
https://www.arcgis.com/sharing/rest/portals/5uh3wwYLNzBuU0uA/socialProviders/configure
JSON Response Syntax
{"success": true}
or
{"error": {
"code": <code>,
"messageCode": "<messageCode>",
"message": "<message>",
"details": []
}}
JSON Response Example
{"success": true}